just docs
[automated-distro-installer] / arch-init-remote
index 770e33254444976602e36df04d6e06495357df7e..ceb3081c1adb36608b9db34454bb338bfeab55d9 100755 (executable)
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
+usage() {
+    cat <<EOF
+Usage: ${0##*/} HOSTNAME
+EOF
+    exit $1
+}
+
 set -x
 
 set -eE -o pipefail
@@ -22,7 +29,7 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 if [[ ! $1 ]]; then
     echo "error: expect a hostname in \$1 "
-    exit 1
+    usage 1
 fi
 host=$1
 
@@ -38,7 +45,7 @@ faid=/a/bin/fai
 
 rsync -rlpthvi --relative /a/bin/fai/ root@$host:/
 rsync /a/bin/fai/ root@$host:/a/bin/fai/
-sudo scp -r /a/bin/devbyid /q/root/luks /q/root/shadow root@$host:
+sudo scp -r /a/bin/fai/devbyid /q/root/luks /q/root/shadow root@$host:
 # creating shadow file string:
 # on debian, you can use mkpasswd -m sha-512 to generate a pass.
 # arch doesn't have this program. instead, you can do passwd,